//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Drawing;

namespace nispi.OptionControl
{
    partial class OutWardTabData : CommonInEvent
    {
        public byte TabSelectedColorRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabSelectedColorRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabSelectedColorRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabSelectedColorGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabSelectedColorGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabSelectedColorGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabSelectedColorBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabSelectedColorBlue = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabSelectedColorBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabHotColorRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabHotColorRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabHotColorRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabHotColorGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabHotColorGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabHotColorGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabHotColorBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabHotColorBlue= value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabHotColorBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }

    }
}
